summaryrefslogtreecommitdiffstats
path: root/system/cdcopy
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-11 15:18:34 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:34 +0200
commitcbb1b7e0ade40962b11d39705e50d94d2970f016 (patch)
tree7183ee5030ca8369371fbdd9a17c26c20663ce9a /system/cdcopy
parent91e36e9562d9179b20c0efa39cc5ff3b87193355 (diff)
downloadslackbuilds-cbb1b7e0ade40962b11d39705e50d94d2970f016.tar.gz
slackbuilds-cbb1b7e0ade40962b11d39705e50d94d2970f016.tar.xz
system/cdcopy: Initial import
Diffstat (limited to 'system/cdcopy')
-rw-r--r--system/cdcopy/README2
-rw-r--r--system/cdcopy/cdcopy.SlackBuild61
-rw-r--r--system/cdcopy/cdcopy.info8
-rw-r--r--system/cdcopy/doinst.sh15
-rw-r--r--system/cdcopy/slack-desc11
5 files changed, 97 insertions, 0 deletions
diff --git a/system/cdcopy/README b/system/cdcopy/README
new file mode 100644
index 0000000000..24d0d655a2
--- /dev/null
+++ b/system/cdcopy/README
@@ -0,0 +1,2 @@
+A dialog / shellscript program to easily copy CDs from the console
+
diff --git a/system/cdcopy/cdcopy.SlackBuild b/system/cdcopy/cdcopy.SlackBuild
new file mode 100644
index 0000000000..24e7f96434
--- /dev/null
+++ b/system/cdcopy/cdcopy.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for CD-copying shell (cdcopy)
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Modified by the SlackBuilds.org project
+
+# Exit on most errors
+set -e
+
+PRGNAM=cdcopy
+VERSION=0.0.7
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xzvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+## Install the program
+install -D -m 0755 cdcopy $PKG/usr/bin/cdcopy
+
+# Add the sample configuration file
+# Note: some versions of 'cdrecord' support ATAPI: or ATA: directives too
+install -D -m 0644 cdcopy.conf $PKG/etc/cdcopy.conf.new
+
+# Compress and install the manpage
+mkdir -p $PKG/usr/man/man1
+gzip -9 cdcopy.1 > $PKG/usr/man/man1/cdcopy.1.gz
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z]* debian/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Also, include the SlackBuild script in the documentation directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+# Clean up the extra stuff
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM
+ rm -rf $PKG
+fi
+
diff --git a/system/cdcopy/cdcopy.info b/system/cdcopy/cdcopy.info
new file mode 100644
index 0000000000..1d8e795cf4
--- /dev/null
+++ b/system/cdcopy/cdcopy.info
@@ -0,0 +1,8 @@
+PRGNAM="cdcopy"
+VERSION="0.0.7"
+HOMEPAGE="http://www.biurrun.de/debian/cdcopy"
+DOWNLOAD="http://www.biurrun.de/debian/cdcopy_0.0.7.tar.gz"
+MD5SUM="a2e621dd8d4b1c0e2d9136c45b94d35a"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/system/cdcopy/doinst.sh b/system/cdcopy/doinst.sh
new file mode 100644
index 0000000000..86513b326d
--- /dev/null
+++ b/system/cdcopy/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/cdcopy.conf.new
+
diff --git a/system/cdcopy/slack-desc b/system/cdcopy/slack-desc
new file mode 100644
index 0000000000..fb4b153cf2
--- /dev/null
+++ b/system/cdcopy/slack-desc
@@ -0,0 +1,11 @@
+cdcopy: cdcopy (console-based cd copying)
+cdcopy:
+cdcopy: A dialog / shellscript program to easily copy CDs from the console
+cdcopy:
+cdcopy: Written by H.P. de Vries
+cdcopy: This version was enhanced by Diego Biurrun
+cdcopy:
+cdcopy:
+cdcopy:
+cdcopy:
+cdcopy: